Runtime

## org.eclipse.gmf.runtime.diagram.ui.figures
Class ShapeCompartmentFigure

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.gmf.runtime.gef.ui.figures.NodeFigure
              org.eclipse.gmf.runtime.diagram.ui.figures.ResizableCompartmentFigure
                  org.eclipse.gmf.runtime.diagram.ui.figures.ShapeCompartmentFigure

All Implemented Interfaces:
  HandleBounds, IAnchorableFigure, IFigure

public class ShapeCompartmentFigure
extends ResizableCompartmentFigure

A specialized implementation of `ResizableCompartmentFigure`, this class configures the scrollpane to use a `FreeformLayer` with a `FreeformLayout` as its contents.

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes inherited from class org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary
`static Font` `FONT_TITLE` constant defines the font title

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.figures.ResizableCompartmentFigure
`MIN_CLIENT_DP, scrollPane`

Fields inherited from class org.eclipse.gmf.runtime.gef.ui.figures.NodeFigure
`szAnchor`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`ShapeCompartmentFigure(java.lang.String title, org.eclipse.gmf.runtime.draw2d.ui.mapmode.IMapMode mm)` Create an instance.

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Convenience method to registers the supplied listener to the scrollpane's vertical and horizonatl range models.
`protected void` `configureFigure()` Deprecated. use `ShapeCompartmentFigure.configureFigure(IMapMode)` instead
`protected void` `configureFigure(org.eclipse.gmf.runtime.draw2d.ui.mapmode.IMapMode mm)` The scrollpane is configured to use a `FreeformLayer` with a `FreeformLayout` as its contents.
`protected org.eclipse.gmf.runtime.draw2d.ui.internal.figures.AnimatableScrollPane` `createScrollpane(org.eclipse.gmf.runtime.draw2d.ui.mapmode.IMapMode mm)` Creates the animatable scroll pane
`void` `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Convenience method to removes the supplied listener from the scrollpane's RangeModel's list of PropertyChangeListeners.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.figures.ResizableCompartmentFigure

`collapse, createScrollpane, createScrollPane, expand, getAdjacentSibling, getCompartmentTitle, getContentPane, getMaximumSize, getMinClientDimension, getMinClientSize, getMinimumSize, getPreferredSize, getScrollPane, getTextPane, invalidate, isExpanded, isHorizontal, paintFigure, setCollapsed, setExpanded, setFont, setFontColor, setHorizontal, setSelected, setTitle, setTitleVisibility, setToolTip, validate`

Methods inherited from class org.eclipse.gmf.runtime.gef.ui.figures.NodeFigure
`createAnchor, createConnectionAnchor, createDefaultAnchor, getConnectionAnchor, getConnectionAnchors, getConnectionAnchorTerminal, getDefaultAnchorID, getHandleBounds, getSlidableAnchorArea, getSourceConnectionAnchorAt, getTargetConnectionAnchorAt, isDefaultAnchorArea`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setConstraint, setCursor, setEnabled, setFocusTraversable, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative`

Field Detail

### FONT_TITLE

    public static final Font FONT_TITLE

  constant defines the font title

Constructor Detail

### ShapeCompartmentFigure

    public ShapeCompartmentFigure(java.lang.String title,
                                  org.eclipse.gmf.runtime.draw2d.ui.mapmode.IMapMode mm)

  Create an instance. Calls `ShapeCompartmentFigure.configureFigure()` to reconfigure the scrollpane.

Parameters:
  `title` - figure's title.
  `mm` - the `IMapMode` that is used to initialize the default values of of the scrollpane contained inside the figure. This is necessary since the figure is not attached at construction time and consequently can't get access to the owned IMapMode in the parent containment hierarchy.

Method Detail

### createScrollpane

    protected org.eclipse.gmf.runtime.draw2d.ui.internal.figures.AnimatableScrollPane createScrollpane(org.eclipse.gmf.runtime.draw2d.ui.mapmode.IMapMode mm)

  Description copied from class: `ResizableCompartmentFigure`
  Creates the animatable scroll pane

  Overrides:
    `createScrollpane` in class `ResizableCompartmentFigure`
  Parameters:
    `mm` - the `IMapMode` that is used to initialize the default values of of the scrollpane contained inside the figure. This is necessary since the figure is not attached at construction time and consequently can't get access to the owned IMapMode in the parent containment hierarchy.
  Returns:
    `AnimatableScrollPane`

### configureFigure

    protected void configureFigure()

  Deprecated. use `ShapeCompartmentFigure.configureFigure(IMapMode)` instead

  The scrollpane is configured to use a `FreeformLayer` with a `FreeformLayout` as its contents.

### configureFigure

    protected void configureFigure(org.eclipse.gmf.runtime.draw2d.ui.mapmode.IMapMode mm)

  The scrollpane is configured to use a `FreeformLayer` with a `FreeformLayout` as its contents.

  Parameters:
    `mm` - the `IMapMode` that is used to initialize the default values of of the scrollpane contained inside the figure. This is necessary since the figure is not attached at construction time and consequently can't get access to the owned IMapMode in the parent containment hierarchy.

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Convenience method to registers the supplied listener to the scrollpane's vertical and horizonatl range models.

  Parameters:
    `listener` - The listener to add

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Convenience method to removes the supplied listener from the scrollpane's RangeModel's list of PropertyChangeListeners.

  Parameters:
    `listener` - The listener to remove

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.